# maplibre::platform - Rust
Handles platform specific code. Depending on the compilation target, different parts of this module are used.

# Module maplibre::platform

source ·
Expand description

Handles platform specific code. Depending on the compilation target, different parts of this module are used.

## Modules

- http_client
  Http client for non-web targets.
- noweb 🔒
  Module which is used target platform is not web related.
- scheduler
  Scheduler for non-web targets.

## Structs

- ReqwestOffscreenKernelEnvironment

## Constants

- MIN_WEBGL_BUFFER_SIZE
  Minimum WebGPU buffer size

## Functions

- run_multithreaded